/*******************************************************************************
 * This file was developed for an MQP project at Worcester Polytechnic Institute.
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/

package ability;

import gameobject.character.Character;

/**
 * Class representing the mage's defend ability
 * @author jordan
 * @version Jan 6 2014
 */
public class MageDefend extends DefendAbility {

	/**
	 * Constructor
	 * @param energyUse the energy used up by the ability
	 * @param character the character to whom the ability belongs
	 */
	public MageDefend(float energyUse, Character character)
	{
		super(energyUse, character);
	}

}
