/*******************************************************************************
 * This file was developed for an MQP project at Worcester Polytechnic Institute.
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/

package gameobject;

/**
 * An enum representing the type of the object
 * @author jordan, Kevin, Phoenix
 * @version Oct 4 2013
 */
public enum ObjectType {
	PRIMARY, TALL_OBSTACLE, SHORT_OBSTACLE, SOFT, ENEMY, TRANSITION, HUD_ELEMENT, NPC, TEXTBOX, SECONDARY, TERTIARY,
	ALLYPROJECTILE, ENEMYPROJECTILE, ITEM, EXPLOSION, 
	POISON_CLOUD, HEALING_SPARKLES, POTION, DESTRUCTABLE, GATE
}
