/*******************************************************************************
 * This file was developed for an MQP project at Worcester Polytechnic Institute.
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/

package gameobject.character;

/**
 * An enum representing the different states of movement the player can be in
 * @author jordan
 *
 */
public enum AnimationState {
	MOVING_LEFT, FACING_LEFT, MOVING_RIGHT, FACING_RIGHT,
	MOVING_UP, FACING_UP, MOVING_DOWN, FACING_DOWN, 
	ATTACKING_RIGHT, ATTACKING_LEFT, ATTACKING_UP, ATTACKING_DOWN,
	DEFENDING_RIGHT, DEFENDING_LEFT, DEFENDING_UP, DEFENDING_DOWN,
	DEAD_RIGHT, DEAD_LEFT, DEAD_UP, DEAD_DOWN, 
	SPECIAL_RIGHT, SPECIAL_LEFT, SPECIAL_UP, SPECIAL_DOWN, 
	POTION_RIGHT, POTION_LEFT, POTION_UP, POTION_DOWN, 
	REVIVE_RIGHT, REVIVE_LEFT, REVIVE_UP, REVIVE_DOWN, 
	END_DEFEND_RIGHT, END_DEFEND_LEFT, END_DEFEND_UP, END_DEFEND_DOWN
}
