/*******************************************************************************
 * This file was developed for an MQP project at Worcester Polytechnic Institute.
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/

package ability;

import gameobject.character.Character;

/**
 * Class representing the warrior's defend ability
 * @author jordan
 * @version Jan 6 2014
 */
public class WarriorDefend extends DefendAbility {
	
	/**
	 * Constructor
	 * @param staminaUse the stamina used up by the ability
	 * @param character the character to whom the ability belongs
	 */
	public WarriorDefend(float staminaUse, Character character)
	{
		super (staminaUse, character);
	}
	
}
