/*******************************************************************************
 * This file was developed for an MQP project at Worcester Polytechnic Institute.
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/
package hud;

import ability.AttackAbility;

/**
 * Icon for a character's attack
 * The icon will flash [change color] when attack is used
 * Will grey out if unusable
 * @author Eyleen
 */
public class AttackIcon extends AbilityIcon{
	private AttackAbility ability;
	
	public AttackIcon(String fileName, String otherFileName, AttackAbility a,
			float x, float y){
		super(fileName, otherFileName, x, y);
		
		ability = a;
	}
	
	public void update(){
	}
}
