/*******************************************************************************
 * This file was developed for an MQP project at Worcester Polytechnic Institute.
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/
package hud;

import ability.DefendAbility;

/**
 * Icon that displays the status of a character's defend icon
 * @author Phoenix
 */
public class DefendIcon extends AbilityIcon {
	private DefendAbility ability;
	
	public DefendIcon(String fileName, String otherFileName,
			DefendAbility a, float x, float y){
		super(fileName, otherFileName, x, y);
		
		ability = a;
	}
	
	public void update(){
	}
}
