/*******************************************************************************
 * This file was developed for an MQP project at Worcester Polytechnic Institute.
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/

package strategy.statemachine.actions;

/**
 * Interface for an object who's purpose is to hold a function (like a delegate in C#)
 * The purpose of the function is to perform an action during a state transitions.
 * @author jordan
 * @version Jan 26 2014
 */
public interface ActionFunction {

	void performAction();
	
}
